Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IIOP
Class ProfileBody_1_0

    java.lang.Object
      |
      +--org.omg.IIOP.ProfileBody_1_0

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ProfileBody_1_0
extends java.lang.Object
implements IDLEntity

Struct definition : ProfileBody_1_0

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `host` Struct member host
`Version` | `iiop_version` Struct member iiop_version
`byte[]` | `object_key` Struct member object_key
`short` | `port` Struct member port

Constructor Summary
`ProfileBody_1_0()` Default constructor
`ProfileBody_1_0(Version iiop_version, java.lang.String host, short port, byte[] object_key)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iiop_version

    public Version iiop_version

  Struct member iiop_version

### host

    public java.lang.String host

  Struct member host

### port

    public short port

  Struct member port

### object_key

    public byte[] object_key

  Struct member object_key

Constructor Detail

### ProfileBody_1_0

    public ProfileBody_1_0()

  Default constructor

### ProfileBody_1_0

    public ProfileBody_1_0(Version iiop_version,
                           java.lang.String host,
                           short port,
                           byte[] object_key)

  Constructor with fields initialization
  Parameters:
    `iiop_version` - iiop_version struct member
    `host` - host struct member
    `port` - port struct member
    `object_key` - object_key struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD